package com.genlot.nativesdk.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @author ZhuYongKang
 * @description 本机中奖信息实体类
 * @date 2019/10/29
 */
public class WinInfo implements Parcelable {
    /**奖等*/
    public String winLevelName;
    /**奖等中奖注数*/
    public String winCount;
    /**奖等奖金*/
    public String winAmount;

    @Override
    public String toString() {
        return "WinInfo{" +
                "winLevelName='" + winLevelName + '\'' +
                ", winCount='" + winCount + '\'' +
                ", winAmount='" + winAmount + '\'' +
                '}';
    }

    public static final Creator<WinInfo> CREATOR = new Creator<WinInfo>() {
        @Override
        public WinInfo createFromParcel(Parcel in) {
            WinInfo info = new WinInfo();
            info.winLevelName = in.readString();
            info.winCount = in.readString();
            info.winAmount = in.readString();
            return info;
        }

        @Override
        public WinInfo[] newArray(int size) {
            return new WinInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(winLevelName);
        dest.writeString(winCount);
        dest.writeString(winAmount);
    }

}
